org.eclipse.eef.common.api.utils

## Class I18N

- java.lang.Object
- - org.eclipse.eef.common.api.utils.I18N

    public final class I18N
    extends java.lang.Object

Helper class with bundle-independent code, that can be reused by other I18N classes local to each plug-in.

### Nested Class Summary

Nested Classes
`static interface` `I18N.TranslatableMessage` Used to mark a `public static String` field of a class as an externalized string, whose actual value will depend on the locale used at runtime.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `initializeMessages(java.lang.Class<?> messagesClass, org.eclipse.emf.common.EMFPlugin plugin)` Initializes the value of a class's `TranslatableMessage`s using the specified plugin as `ResourceLocator`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### initializeMessages

    public static void initializeMessages(java.lang.Class<?> messagesClass,
                                          org.eclipse.emf.common.EMFPlugin plugin)

Initializes the value of a class's `TranslatableMessage`s using the specified plugin as `ResourceLocator`.

Parameters:
  `messagesClass` - the class which defines the fields to initialize.
  `plugin` - the plugin from which to obtain the localized value of the fields.